% The function ERFSPECTRUM produces the output pulse according to the time
% convolution between the ideal square pulse of duration T with the
% Gaussian impulse response defined by its standard deviation.
function HT=ERFSPECTRUM(Sigma,Tau,FWHM)
global NTS NSYM freq;
if Tau>0,
    HT_left=sin(pi*FWHM*freq(1:NTS*NSYM))./(pi*freq(1:NTS*NSYM)).*...
        sin(pi*freq(1:NTS*NSYM)*Tau)./(pi*freq(1:NTS*NSYM)*Tau).*...
        exp(-2*(pi*freq(1:NTS*NSYM)*Sigma).^2);
    HT_right=sin(pi*FWHM*freq(NTS*NSYM+2:2*NTS*NSYM))./(pi*freq(NTS*NSYM+2:2*NTS*NSYM)).*...
        sin(pi*freq(NTS*NSYM+2:2*NTS*NSYM)*Tau)./(pi*freq(NTS*NSYM+2:2*NTS*NSYM)*Tau).*...
        exp(-2*(pi*freq(NTS*NSYM+2:2*NTS*NSYM)*Sigma).^2);
elseif Tau==0,
    HT_left=sin(pi*FWHM*freq(1:NTS*NSYM))./(pi*freq(1:NTS*NSYM)).*...
        exp(-2*(pi*freq(1:NTS*NSYM)*Sigma).^2);
    HT_right=sin(pi*FWHM*freq(NTS*NSYM+2:2*NTS*NSYM))./(pi*freq(NTS*NSYM+2:2*NTS*NSYM)).*...
        exp(-2*(pi*freq(NTS*NSYM+2:2*NTS*NSYM)*Sigma).^2);
end;
HT=complex([HT_left 1 HT_right]);

