% The function EYEMATRIX build up eye diagram transitions over NUI bit
% intervals. The returned matrix is organized with each row corresponding
% to NUI time steps signal contributions. The number of columns is given by
% NTS*NUI samples. The number of rows depends on the selected PRBS code, In
% the case of NRZ, the row increment corresponds to one time step along the
% PRBS sequence, with the synchronization corresponding to the bit-rate.
%
function Eye=EYEMATRIX(Stream,NUI)
global  NTS n;
M=2^n-1;
s=[Stream Stream(1:NTS*(NUI-1)+1)];
for k=1:M,
    Eye(k,:)=s((k-1)*NTS+1:((k-1)+NUI)*NTS+1);
end;
